###################################################
### chunk number 1: preliminaries
###################################################
#line 61 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
library("DAKS")
library("relations")
library("sets")
options(prompt="R> ", continue="R+", width=70)


###################################################
### chunk number 2: integer
###################################################
#line 559 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
1 == 1L


###################################################
### chunk number 3: pisa1
###################################################
#line 928 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
head(pisa)
pat <- pattern(pisa)
pat
sum(pat$response.patterns)


###################################################
### chunk number 4: pisa2
###################################################
#line 939 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
apply(pisa, 2, table)


###################################################
### chunk number 5: iita
###################################################
#line 951 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
mini <- iita(pisa, v = 1)
corr <- iita(pisa, v = 2)
orig <- iita(pisa, v = 3)
summary(mini)
summary(corr)
summary(orig)


###################################################
### chunk number 6: selection-set
###################################################
#line 969 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
sel_set <- ind_gen(ob_counter(pisa))
sel_set


###################################################
### chunk number 7: set-operations1
###################################################
#line 1001 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
set_symdiff(orig$implications, mini$implications)


###################################################
### chunk number 8: set-operations2
###################################################
#line 1008 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
set_is_proper_subset(orig$implications, mini$implications)


###################################################
### chunk number 9: z-test
###################################################
#line 1053 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
z_test(pisa, sel_set[[10]], sel_set[[9]], alternative = "less", v = 1)


###################################################
### chunk number 10: simulated-data
###################################################
#line 1090 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
ex_data <- simu(9, 1500, 0.1, 0.1, delta = 0.15)


###################################################
### chunk number 11: simulated-relation
###################################################
#line 1095 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
ex_data$implications


###################################################
### chunk number 12: corr-iita1
###################################################
#line 1104 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
ex_corr <- iita(ex_data$dataset, v = 2)
ex_corr


###################################################
### chunk number 13: corr-iita2
###################################################
#line 1111 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
ex_corr$implications == ex_data$implications


###################################################
### chunk number 14: pop-iita
###################################################
#line 1123 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
pop <- pop_iita(ex_data$implications, 0.1, 0.1, 9, dataset = ex_data$dataset, v = 2)
attributes(pop)


###################################################
### chunk number 15: diff1
###################################################
#line 1137 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
round(ex_corr$diff / 1500^2, 4)


###################################################
### chunk number 16: diff2
###################################################
#line 1140 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
round(pop$pop.diff, 4)


###################################################
### chunk number 17: pop-relation
###################################################
#line 1149 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
mp <- which.min(pop$pop.diff)
pop$selection.set[[mp]] 


###################################################
### chunk number 18: est-var
###################################################
#line 1176 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
var_sample <- variance(ex_data$dataset, ex_data$implications, v = 2)
var_sample
sqrt(var_sample)


###################################################
### chunk number 19: pop-var
###################################################
#line 1187 "d:/Rcompile/CRANpkg/local/2.12/DAKS/inst/doc/DAKS.Rnw"
pop_variance <- pop_variance(pop$pop.matrix, pop$selection.set[[mp]], pop$error.pop[mp], v = 2)
pop_variance
sqrt(pop_variance)


